MOUNTPOINT(1)

NAMN
mountpoint - se om en katalog eller fil är en mountpoint

SYNOPSIS

mountpoint [-d|-q] katalog|fil

mountpoint -x enhet

BESKRIVNING

mountpoint checks whether the given directory or file is a mountpoint. On kernels that support the statmount(2) system call (Linux 6.8 and newer), it uses that interface. On older kernels, it falls back to reading /proc/self/mountinfo.

FLAGGOR

-d, --fs-devno
    Visa major/minor-numren för den enhet som är monterad på den angivna katalogen.

-q, --quiet
    Var tyst - skriv inte ut något.

--nofollow
    Följ inte en symbolisk länk om den är det sista elementet i sökvägen katalog.

-x, --devno
    Visa major/minor-numren för den angivna blockdevice på standardutdata.

--show
    Print the mountpoint path for the given path. This resolves the given directory or file to its actual mountpoint, which is useful with bind mounts, symlinks, or paths within filesystems. This option requires kernel support for the statmount(2) system call (Linux 6.8 and newer). On older kernels, this option will fail with an error message.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

mountpoint har följande värden för utgångsstatus:

0
    lyckades; katalogen är en monteringspunkt, eller enheten är en blockenhet på --devno

1
    fel; felaktigt anrop, felaktiga behörigheter eller systemfel

32
    fel; katalogen är inte en monteringspunkt, eller enheten är inte en blockenhet på --devno

MILJÖ

LIBMOUNT_DEBUG=all
    aktiverar libmount felsökningsutdata.

ANTECKNINGAR

Implementationen av mountpoint för util-linux skrevs från grunden för libmount. Den ursprungliga versionen för sysvinit-sviten skrevs av Miquel van Smoorenburg.

UPPHOVSPERSONER

SE ÄVEN

montering(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot mountpoint ingår i paketet util-linux som kan hämtas från